Package org.codehaus.commons.compiler.util.reflect

# Class Classes

java.lang.Object
org.codehaus.commons.compiler.util.reflect.Classes

public final class Classes extends Object
Utility methods related to `Class`.

## Method Summary

Modifier and Type
Method
Description
`static Method`
`getDeclaredMethod(Class<?> declaringClass, String methodName, Class<?>... parameterTypes)`
A wrapper for `declaringClass.getDeclaredMethod(methodName, parameterTypes)` that catches any exception, wraps it in an `AssertionError`, and throws that.
`static Class<?>`
`load(ClassLoader classLoader, String className)`
A wrapper for `classLoader.loadClass(className)` that catches any exception, wraps it in an `AssertionError`, and throws that.
`static Class<?>`
`load(String className)`
Shorthand for `load``(ClassLoader.getSystemClassLoader(),` className`)`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### load

public static Class<?> load(String className)
Shorthand for `load``(ClassLoader.getSystemClassLoader(),` className`)`.

### load

public static Class<?> load(ClassLoader classLoader, String className)
A wrapper for `classLoader.loadClass(className)` that catches any exception, wraps it in an `AssertionError`, and throws that.

### getDeclaredMethod

public static Method getDeclaredMethod(Class<?> declaringClass, String methodName, Class<?>... parameterTypes)
A wrapper for `declaringClass.getDeclaredMethod(methodName, parameterTypes)` that catches any exception, wraps it in an `AssertionError`, and throws that.